## jsonpickle 0.6.1

=== debian/changelog ===
jsonpickle (0.6.1-1) unstable; urgency=medium

  * New upstream version
  * run wrap-and-sort
  * bump Standards-Version to 3.9.5 (no changes)
  * enable unit tests:
    - add python-feedparser and python-simplejson to Build-Depends
    - add override_dh_auto_test in debian/rules to run tests/runtests.py
    - use debian source format 3.0 (quilt) to enable patching
  * add Python 3 support:
    - add new binary package python3-jsonpickle
    - add dh-python, python3, python3-feedparse and python3-simplejson to
      Build-Depends
    - use pybuild as buildsystem
    - add X-Python-Version and X-Python3-Version to source package stanza
  * add doc package:
    - add new binary package python-jsonpickle-doc
    - add python-sphinx to Build-Depends
    - add patch debian/patches/disable-unsupported-sphinx-extension.patch to
      disable Sphinx extensions that are either not packaged in Debian or need
      remote access at build time
    - add override_dh_auto_build, override_dh_auto_install and
      override_dh_sphinxdoc to build and install Sphinx documentation properly
    - add debian/python-jsonpickle-doc.doc-base for docbase registration

 -- Jan Dittberner <jandd@debian.org>  Sun, 02 Feb 2014 10:39:47 +0100

jsonpickle (0.4.0-1) unstable; urgency=low

  [ John Paulett ]
  * New upstream release
  * Bump Standards-Version to 3.9.2

  [ Jan Dittberner ]
  * update copyright years in debian/copyright
  * switch from python-support to dh_python2
    - drop python-support Dependency
    - bump python dependency to 2.6.6-3~
    - add --with python2 to dh invocation in debian/rules
  * add myself to Uploaders
  * change Vcs-Svn and Vcs-Browser in debian/control to new anonscm URLs

 -- Jan Dittberner <jandd@debian.org>  Wed, 22 Jun 2011 14:01:24 +0200

jsonpickle (0.3.1-2) unstable; urgency=low

  * Add dependency on ${python:Depends} (Closes: 591986)
  * add explicit copy of license to debian/copyright

 -- Mike O'Connor <stew@debian.org>  Mon, 23 Aug 2010 18:57:38 -0400

jsonpickle (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: bug#560877)

 -- John Paulett <john@paulett.org>  Mon, 16 Nov 2009 20:05:50 -0600
