=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_DESTDIR_python2=debian/python-jsonpickle
export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	sphinx-build -N -q -E -b html docs/source docs/build

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc
	mv docs/build $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="tests/runtests.py" dh_auto_test

override_dh_sphinxdoc:
	dh_sphinxdoc -p python-jsonpickle-doc
