=== debian/watch ===
version=3
http://pypi.python.org/packages/source/j/jsonpickle/ jsonpickle-(.*)\.tar\.gz
