## jsonpickle 0.8.0

=== debian/changelog ===
jsonpickle (0.8.0-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:16:00 +0000

jsonpickle (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * change debian/copyright to machine readable format, update copyright years
  * simplify debian/rules and build documentation in
    override_dh_sphinxdoc

 -- Jan Dittberner <jandd@debian.org>  Sun, 28 Sep 2014 18:57:06 +0200
