=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jsonpickle
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
                dh-python,
