## jsonpickle 0.9.2

=== requirements.txt ===
simplejson
demjson
jsonlib
yajl
ujson
