=== debian/changelog ===
jsonpickle (0.9.2-1) unstable; urgency=medium

  * New upstream version
  * use PyPI redirector for watch file
  * disable debian/patches/disable-tests-for-unpackaged-libraries.patch
  * add python-numpy and python3-numpy to Build-Depends for new tests
  * change debian/compat to 9, bump debhelper version to >= 9
  * bump Standards-Version to 3.9.6 (no changes needed)
  * install docs/source/changelog.rst as upstream changelog
  * add debian/upstream/signing-key.asc and add pgpsigurlmangle to watch
    file
  * add Suggests for python-numpy for python-jsonpickle and python3-
    numpy for python3-jsonpickle

 -- Jan Dittberner <jandd@debian.org>  Sun, 13 Sep 2015 18:36:01 +0200
