=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: jsonpickle
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
                dh-python,
                python,
                python-feedparser,
+               python-numpy,
                python-simplejson,
                python-sphinx (>= 1.0.7+dfsg-1~),
                python3,
                python3-feedparser,
+               python3-numpy,
                python3-simplejson
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/jsonpickle/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/jsonpickle/trunk/
 Homepage: http://jsonpickle.github.com
@@ -24,7 +25,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
-Suggests: python-simplejson
+Suggests: python-simplejson, python-numpy
 Description: Python library for serializing object graphs into JSON (Python 2)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
@@ -42,7 +43,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
-Suggests: python3-simplejson
+Suggests: python3-simplejson, python3-numpy
 Description: Python library for serializing object graphs into JSON (Python 3)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
