=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_DESTDIR_python2=debian/python-jsonpickle
export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="tests/runtests.py" dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs -i docs/source/changelog.rst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs/source $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif
