## jsonpickle 0.9.3

=== debian/changelog ===
jsonpickle (0.9.3-2) unstable; urgency=medium

  * Improve the way we call the test suite, based on suggestion of Piotr.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 09 Mar 2016 11:05:43 +0100

jsonpickle (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Includes fixes for NumPy 1.10.x. Closes: #812114
  * Update Standards-Version to 3.9.7.
  * Update Vcs-Git to use https URL.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 09 Mar 2016 10:26:45 +0100
