=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                python3-feedparser,
                python3-numpy,
                python3-simplejson
-Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/jsonpickle/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/jsonpickle/trunk/
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jsonpickle.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jsonpickle.git
 Homepage: http://jsonpickle.github.com
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
