## jsonpickle 0.9.5

=== debian/changelog ===
jsonpickle (0.9.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version, build with Python 3.6 (Closes: #865926)
  * Replace python and python3 by python-all and python3-all in Build-Depends
  * Add python-bson and python3-bson to Build-Depends
  * Bump Standards-Version to 4.0.0

 -- Sophie Brun <sophie@freexian.com>  Mon, 21 Aug 2017 11:29:37 +0200
