=== debian/control ===
--- 
+++ 
@@ -5,19 +5,21 @@
 Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python,
+               python-all,
+               python-bson,
                python-feedparser,
                python-numpy,
                python-simplejson,
                python-sphinx (>= 1.0.7+dfsg-1~),
-               python3,
+               python3-all,
+               python3-bson,
                python3-feedparser,
                python3-numpy,
                python3-simplejson
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jsonpickle.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jsonpickle.git
-Homepage: http://jsonpickle.github.com
+Homepage: https://jsonpickle.github.com
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
