=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="tests/runtests.py" dh_auto_test
+	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} tests/runtests.py" dh_auto_test
 
 override_dh_installchangelogs:
 	dh_installchangelogs -i docs/source/changelog.rst
