## jsonpickle 1.2

=== debian/changelog ===
jsonpickle (1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.2
  * Remove signing-key and update d/watch
  * Remove override_dh_auto_test in d/rules
    - Using python3-pytest and python3-pytest-cov instead.
  * Skip tests that fails under python3.8. closes: #946304
  * Increase test coverage with python3-pandas.
  * Added doc package in suggests line.
  * Bump dh to 12

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 14 Dec 2019 08:30:55 +0100

jsonpickle (0.9.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936769
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)
  * debian/patches/sphinx-py3k.patch
    - cast filter to list, make sphinx config py3k compatible

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Oct 2019 11:35:27 -0400
