=== debian/control ===
Source: jsonpickle
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-sphinx,
               python3-all,
               python3-bson,
               python3-feedparser,
               python3-numpy,
               python3-simplejson,
               python3-pytest,
               python3-pytest-cov,
               python3-pandas
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/modules/jsonpickle.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/jsonpickle
Homepage: https://jsonpickle.github.com

Package: python3-jsonpickle
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Suggests: python3-simplejson, python3-numpy, python-jsonpickle-doc
Description: Python library for serializing object graphs into JSON (Python 3)
 jsonpickle is a Python library for serialization and deserialization of
 complex Python objects to and from JSON. The standard Python libraries for
 encoding Python into JSON, such as the stdlib’s json, simplejson, and
 demjson,  can only handle Python primitives that have a direct JSON
 equivalent (e.g. dicts, lists, strings, ints, etc.). jsonpickle builds on
 top of these libraries and allows more complex data structures to be
 serialized to JSON. jsonpickle is highly configurable and
 extendable–allowing the user to choose the JSON backend  and add additional
 backends.
 .
 This is the Python 3 version of the package.

Package: python-jsonpickle-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for serializing object graphs into JSON (documentation)
 jsonpickle is a Python library for serialization and deserialization of
 complex Python objects to and from JSON. The standard Python libraries for
 encoding Python into JSON, such as the stdlib’s json, simplejson, and
 demjson,  can only handle Python primitives that have a direct JSON
 equivalent (e.g. dicts, lists, strings, ints, etc.). jsonpickle builds on
 top of these libraries and allows more complex data structures to be
 serialized to JSON. jsonpickle is highly configurable and
 extendable–allowing the user to choose the JSON backend  and add additional
 backends.
 .
 This is the documentation package.
