## jsonpickle 2.0.0%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,40 @@
 Source: jsonpickle
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: John Paulett <john@paulett.org>, Jan Dittberner <jandd@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: John Paulett <john@paulett.org>,
+           Jan Dittberner <jandd@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-sphinx,
                python3-all,
                python3-bson,
                python3-feedparser,
                python3-numpy,
-               python3-simplejson,
+               python3-pandas,
                python3-pytest,
                python3-pytest-cov,
-               python3-pandas
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/jsonpickle.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/jsonpickle
-Homepage: https://jsonpickle.github.com
+               python3-pytest-flake8,
+               python3-setuptools,
+               python3-setuptools-scm,
+               python3-simplejson,
+               python3-sklearn,
+               python3-sphinx,
+               python3-sqlalchemy,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/jsonpickle.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jsonpickle
+Homepage: https://github.com/jsonpickle/jsonpickle
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-jsonpickle
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Provides: ${python3:Provides}
-Suggests: python3-simplejson, python3-numpy, python-jsonpickle-doc
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+Suggests: python-jsonpickle-doc,
+          python3-numpy,
+          python3-simplejson,
 Description: Python library for serializing object graphs into JSON (Python 3)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
@@ -40,7 +51,9 @@
 Package: python-jsonpickle-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Python library for serializing object graphs into JSON (documentation)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
