=== debian/changelog ===
jsonpickle (2.0.0+dfsg1-1) unstable; urgency=medium

  * Team upload
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-jsonpickle-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

  [ Håvard Flaget Aasen ]
  * New upstream version 2.0.0
    - New upstream release support numpy > 1.20. Closes: #999536
    - Repack source to remove minified javascript files.
  * Rebase patches and mark forwarded not needed.
  * New Patch: Disable testing with black.
  * d/watch:
    - Update to version 4.
    - Drop uversionmangle, doesn't match anything upstream.
  * Update standards version to 4.6.0.
  * d/control:
    - Update URL for homepage.
    - Add Rules-Requires-Root
    - Add build dependencies, python3-setuptools, python3-setuptools-scm,
      python3-sklearn, python3-pytest-flake8 and python3-sqlalchemy.
  * d/rules:
    - Upstream changelog is automatically installed.
    - Update path to build documentation.
    - Delete unneeded file.
  * d/source: Add options file, to ignore egg-info changes.
  * d/copyright:
    - Update upstream contact.
    - Add new file entries and update year.
    - Correct the source URL, downloaded from PyPI.
  * run wrap-and-sort

  [ Stefano Rivera ]
  * Drop use of ${python3:Provides}, long deprecated.
  * Add autopkgtest running upstream unit tests.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 14 Nov 2021 06:28:38 +0100
