=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_install:
	find $(CURDIR) -name .coverage -delete

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs/ $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif
