## jsonpickle 3.0.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/env make
+
+DATEANDTIME=$(shell date +%Y-%m-%dT%T%z)
 
 # External commands
 BLACK ?= black
@@ -6,6 +8,8 @@
 FIND ?= find
 PYTHON ?= python
 PYTEST ?= $(PYTHON) -m pytest
+SPHINX ?= $(PYTHON) -m sphinx
+BENCHMARK ?= py.test
 RM_R ?= rm -fr
 SH ?= sh
 TOX ?= tox
@@ -34,22 +38,24 @@
 NUM_JOBS := $(shell printf %s "$(DASH_J)" | sed -e 's/-j//')
 
 TESTCMD ?= $(PYTEST)
+BENCHMARKCMD ?= $(BENCHMARK)
 TOXCMD ?= $(TOX)
 TOXCMD += --develop --skip-missing-interpreters
 ifdef multi
     TOXCMD += --parallel $(NUM_JOBS)
     TOXCMD += -e
-    TOXCMD += 'clean,py{27,36,37,38,39},py{27,38,39}-sa{10,11,12,13},py{27,38,39}-libs'
+    TOXCMD += 'clean,py{37,38,39,310},py{38,39,310}-sa{12,13},py{38,39,310}-libs'
     # Disable coverage when running in parallel
     TOXCMD += -- --no-cov
 endif
 ifdef V
     TESTCMD += --verbose
     TOXCMD += -v
+    BENCHMARKCMD += --benchmark-verbose
 endif
 
 # Coverage
-COVERAGE_ENV ?= py39
+COVERAGE_ENV ?= py310
 
 # Data
 ARTIFACTS := build
@@ -64,32 +70,41 @@
 # The default target of this makefile is....
 all:: help
 
-help:
+help::
 	@echo "---- Makefile Targets ----"
-	@echo "make help            - print this message"
-	@echo "make test            - run unit tests"
-	@echo "make tox		        - run unit tests using tox"
-	@echo "make tox multi=1     - run unit tests on multiple pythons using tox"
-	@echo "make clean           - remove cruft"
+	@echo "make help           - print this message"
+	@echo "make test           - run unit tests"
+	@echo "make tox            - run unit tests using tox"
+	@echo "make tox multi=1    - run unit tests on multiple pythons using tox"
+	@echo "make clean          - remove cruft"
+	@echo "make benchmark      - run pytest benchmarking"
+	@echo "make doc            - generate documentation using sphinx"
 .PHONY: help
 
-test:
+test::
 	$(TESTCMD) $(flags)
 .PHONY: test
 
-tox:
+tox::
 	$(TOXCMD) $(flags)
 .PHONY: tox
 
-tags:
+benchmark::
+	$(BENCHMARKCMD) --benchmark-only --benchmark-histogram=./images/benchmark-$(DATEANDTIME) ./jsonpickle_benchmarks.py
+.PHONY: benchmark
+
+doc::
+	$(SPHINX) docs build/html
+
+tags::
 	$(FIND) $(PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
 
-clean:
+clean::
 	$(FIND) $(PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
 	$(FIND) $(PYTHON_DIRS) -name '__pycache__' -print0 | xargs -0 rm -fr
 	$(RM_R) $(ARTIFACTS)
 .PHONY: clean
 
 format::
-	$(BLACK) --skip-string-normalization --target-version py27 $(PYTHON_DIRS)
+	$(BLACK) --skip-string-normalization --target-version py310 $(PYTHON_DIRS)
 .PHONY: format
