=== debian/changelog ===
jsonpickle (3.0.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. (Closes: #1024953)
  * d/patches: remove 'do-not-test-with-black.patch', as it's no longer
    relevant.
  * d/control, d/tests/control: refresh build dependencies.
  * Don't run tests with test coverage or flake8.
  * Skip tests/ecdsa_test.py, it fails for no good reason.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 10:59:06 -0500

jsonpickle (2.0.0+dfsg1-2) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * Change main branch from 'master' to 'debian/master', in accordance to the
    DPT policy.
  * d/gbp.conf: add file.
  * d/pybuild.testfiles, d/tests/unittests: run tests with the upstream
    .flake8 configuration file. Closes: #1020120
  * d/control: build using pybuild's PEP517 pyproject interface.
  * d/control: Standards-Version update to 4.6.1. No changes.
  * d/control: remove trivial and unnecessary autodep8 test.
  * d/tests: run autopkgtest for all supported version of Python.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 10 Oct 2022 15:19:20 -0400
