=== debian/control ===
--- 
+++ 
@@ -6,26 +6,29 @@
            Jan Dittberner <jandd@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-bson,
+               python3-ecdsa,
                python3-feedparser,
+               python3-gmpy2,
                python3-numpy,
                python3-pandas,
+               python3-pymongo,
                python3-pytest,
-               python3-pytest-cov,
-               python3-pytest-flake8,
                python3-setuptools,
                python3-setuptools-scm,
+               python3-sklearn,
+               python3-scipy,
                python3-simplejson,
-               python3-sklearn,
                python3-sphinx,
                python3-sqlalchemy,
-Standards-Version: 4.6.0
+               python3-ujson,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/jsonpickle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jsonpickle
 Homepage: https://github.com/jsonpickle/jsonpickle
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-jsonpickle
 Architecture: all
