=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,5 @@
          python3-simplejson,
          python3-sklearn,
          python3-sqlalchemy,
+         python3-gmpy2,
          @
