=== debian/changelog ===
jsonpickle (3.0.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Compatibility with Pandas and Cython 3.0 was added (closes: #1064705).
  * Update mechanism used to build documentation offline.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Mar 2024 16:23:45 +0000

jsonpickle (3.0.2+dfsg-1) unstable; urgency=medium

  [ Håvard F. Aasen ]
  * Team upload.
  * New upstream release.
    - 3.0.1 Added support for Python 3.12 Closes: #1056416
    - 3.0.2 Added support for Pandas 2.0 Closes: #1044075
  * d/patches: Convert disable-test-extensions.patch to gbp pq and mark it
    forwarded not-needed.
  * Drop '1' in dfsg version.
  * Update Standards-Version to 4.6.2, no changes needed.
  * Add python3-setuptools as autopkgtest dependency.

  [ Jeroen Ploemen ]
  * Copyright: add missing info for some of the tests.
  * Control: remove unused build-deps.
  * Control: mark test-only build-deps <!nocheck>.
  * Tests: replace d/tests with Testsuite: autopkgtest-pkg-pybuild.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 09 Dec 2023 12:02:25 +0000
