=== debian/control ===
--- 
+++ 
@@ -8,24 +8,23 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-bson,
-               python3-ecdsa,
-               python3-feedparser,
-               python3-gmpy2,
-               python3-numpy,
-               python3-pandas,
-               python3-pymongo,
-               python3-pytest,
+               python3-bson <!nocheck>,
+               python3-ecdsa <!nocheck>,
+               python3-feedparser <!nocheck>,
+               python3-gmpy2 <!nocheck>,
+               python3-numpy <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-sklearn,
-               python3-scipy,
-               python3-simplejson,
+               python3-sklearn <!nocheck>,
+               python3-simplejson <!nocheck>,
                python3-sphinx,
-               python3-sqlalchemy,
-               python3-ujson,
-Standards-Version: 4.6.1
+               python3-sqlalchemy <!nocheck>,
+               python3-ujson <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/jsonpickle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jsonpickle
 Homepage: https://github.com/jsonpickle/jsonpickle
