=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html docs/ $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
+	JSONPICKLE_SPHINX_DISABLE=intersphinx sphinx-build -b html docs/ $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
