## jsonpickle 3.2.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PYTHON ?= python3
 PYTEST ?= $(PYTHON) -m pytest
 SPHINX ?= $(PYTHON) -m sphinx
-BENCHMARK ?= py.test
+BENCHMARK ?= pytest
 RM_R ?= rm -fr
 TOX ?= tox
 # Detect macOS to customize how we query the cpu count.
@@ -35,7 +35,7 @@
 DASH_J := $(shell echo -- $(JOB_FLAGS) -j$(nproc) | grep -o -e '-j[0-9]\+' | head -n 1)
 NUM_JOBS := $(shell printf %s "$(DASH_J)" | sed -e 's/-j//')
 
-TESTCMD ?= $(PYTEST) -p no:cacheprovier
+TESTCMD ?= $(PYTEST)
 BENCHMARKCMD ?= $(BENCHMARK)
 TOXCMD ?= $(TOX) run-parallel --parallel-live
 ifdef V
@@ -68,7 +68,7 @@
 .PHONY: help
 
 test::
-	$(TESTCMD) $(flags)
+	$(TESTCMD) jsonpickle tests $(flags)
 .PHONY: test
 
 tox::
