=== debian/changelog ===
jsonpickle (3.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 12:01:23 +0100

jsonpickle (3.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Jun 2024 18:24:24 +0100

jsonpickle (3.0.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop telling pytest to exclude ecdsa tests.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Apr 2024 16:51:37 +0100
