=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 #DH_VERBOSE = 1
 
 export PYBUILD_DESTDIR_python3=debian/python3-jsonpickle
-export PYBUILD_TEST_ARGS=-k 'not tests/ecdsa_test.py'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
