## jsonpickle 3.3.0+dfsg

=== debian/changelog ===
jsonpickle (3.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Sep 2024 12:58:17 +0100
