## jsonpickle 3.4.1+dfsg

=== debian/changelog ===
jsonpickle (3.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Nov 2024 18:31:12 +0000
