=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 Suggests: python-jsonpickle-doc,
           python3-numpy,
           python3-simplejson,
-Description: Python library for serializing object graphs into JSON (Python 3)
+Description: Serialize any Python object to JSON (Python 3)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
  encoding Python into JSON, such as the stdlib’s json, simplejson, and
@@ -56,7 +56,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Multi-Arch: foreign
-Description: Python library for serializing object graphs into JSON (documentation)
+Description: Serialize any Python object to JSON (documentation)
  jsonpickle is a Python library for serialization and deserialization of
  complex Python objects to and from JSON. The standard Python libraries for
  encoding Python into JSON, such as the stdlib’s json, simplejson, and
