## jsonpickle 4.0.1+dfsg

=== debian/changelog ===
jsonpickle (4.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify a debhelper override slightly.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2024 09:00:39 +0000

jsonpickle (4.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Nov 2024 12:17:09 +0100

jsonpickle (3.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Nov 2024 17:44:02 +0000
