=== docs/requirements.txt ===
jaraco.packaging
rst.linker
Sphinx
