=== debian/changelog ===
jsonpickle (4.0.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix test_multindex_dataframe_roundtrip on 32-bit architectures (closes:
    #1103146).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Apr 2025 02:24:50 +0100

jsonpickle (4.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 18:34:19 +0000
