=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: John Paulett <john@paulett.org>,
            Jan Dittberner <jandd@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                pybuild-plugin-pyproject,
                python3-all,
                python3-bson <!nocheck>,
