=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_DESTDIR=debian/python3-jsonpickle

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find $(CURDIR) -name .coverage -delete

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
execute_before_dh_sphinxdoc:
	JSONPICKLE_SPHINX_DISABLE=intersphinx sphinx-build -b html docs/ $(CURDIR)/debian/python-jsonpickle-doc/usr/share/doc/python-jsonpickle-doc/html
endif
